/*!
 * @file pushbutton.c
 *
 * @date Feb 7, 2017
 * @author Ting
 */

#include "pushbutton.h"
#include "atrasos.h"

/**
* @brief Inicializa botoeiras 
*/
void initPushbuttonIRQA (void) {
}

/**
 * @brief Habilita a interrup&ccedil;&atilde;o dos pinos em que pushbutton est&atilde;o ligados
 */
void enablePushbuttonIRQA(void) {
	PORTA_PCR5 |= PORT_PCR_ISF_MASK | 
			PORT_PCR_IRQC(xxxx));              ///< "Interrupt on falling edge"
	PORTA_PCR12 |= PORT_PCR_ISF_MASK | 
		      	  PORT_PCR_IRQC(xxxx));            ///< "Interrupt on either edge"
}

/**
* @brief L&ecirc; o valor do pino 12 da porta A
* @param [in] pta 0 (PTA5) ou 1 (PTA12)
* @return estado do bot&atilde;o (0 apertado; 1 normal)
*/
short le_pta (enum _tipo_pta pta) {
  volatile unsigned int a;
  short tmp;
        
}

/**
 * @brief Intervalo de tempo de aperto
 * @param [in] pta 0 (PTA5) ou 1 (PTA12)
 * @return m&uacute;ltiplos de 50000*10us (fa&ccedil;a ajustes finos conforme a sua velocidade de aperto) 
 * 
 */
uint8_t tempo_espera (enum _tipo_pta pta) {
        short estado;
        uint8_t i;
        uint8_t indice=0;
        for (i=0; i < 5; i++) {
            delay10us(25000);   /*! tempo estimado para o usu&aacute;rio soltar o bot&atilde;o */
            estado = le_pta(pta);

            if (estado) return indice;
        	indice++;
        }
        
        while (!le_pta(pta)) ;  /*! atingiu o m&aacute;ximo tempo permitido:
        							aguarda soltar a botoeira */
        
        return indice; 
}
