/*
 * \file systick.c
 *
 * \date Feb 14, 2017
 * \author Ting
 */

#include "systick.h"

/*!
 * \fn initSysTick (unsigned int periodo)
 * \brief Inicializa o temporizador SysTick.
 * \param[in] periodo contagem m&aacute;xima
 */
void initSysTick (unsigned int periodo) {
	SYST_RVR = SysTick_RVR_RELOAD(periodo);   ///< contagem m&aacute;xima: 0.25s
	SYST_CVR = SysTick_CVR_CURRENT(0);                
	SYST_CSR |= (SysTick_CSR_CLKSOURCE_MASK |     ///< core clock: 20.971520MHz
			xxxx );       ///< habilita interrup&ccedil;&atilde;o
	//SYST_CSR &= ~SysTick_CSR_ENABLE_MASK;       ///< desliga o clock do SysTick     
}

